## wxLogStderr

This class can be used to redirect the log messages to a C file stream (not to be confused with C++ streams). It is the default log target for the non-GUI wxWidgets applications which send all the output to `stderr`.

Derived from

wxLog

Include files

<wx/log.h>

See also

wxLogStream

Members

wxLogStderr::wxLogStderr

### wxLogStderr::wxLogStderr

wxLogStderr(FILE *fp = NULL)

Constructs a log target which sends all the log messages to the given `FILE`. If it is `NULL`, the messages are sent to `stderr`.